libzypp 17.37.10

zypp::base::logger Namespace Reference

## Classes
struct | LogControlImpl
| LogControl implementation (thread_local Singleton). More...
class | Loglinebuf
class | Loglinestream

## Enumerations
enum | LogLevel { E_XXX = 999 , E_DBG = 0 , E_MIL , E_WAR , E_ERR , E_SEC , E_INT , E_USR }
| Definition of log levels. More...

## Functions
void | putStream (const std::string &group_r, LogLevel level_r, const char *file_r, const char *func_r, int line_r, const std::string &buffer_r)
| That's what Loglinebuf calls.
int & | logControlValidFlag ()
std::ostream & | getStream (const char *group_r, LogLevel level_r, const char *file_r, const char *func_r, const int line_r) ZYPP_API
| Return a log stream to write on.
bool | isExcessive ()
std::ostream & | operator<< (std::ostream &str, const LogControlImpl &)
| Stream output.

## Enumeration Type Documentation

## ◆ LogLevel

enum zypp::base::logger::LogLevel

Definition of log levels.

See also
  getStream

Enumerator
E_XXX | Excessive logging.
E_DBG | Debug or verbose.
E_MIL | Milestone.
E_WAR | Warning.
E_ERR | Error.
E_SEC | Secutrity related.
E_INT | Internal error.
E_USR | User log.

Definition at line 156 of file Logger.h.

## Function Documentation

## ◆ putStream()

void zypp::base::logger::putStream | ( | const std::string & | group_r,
|  | LogLevel | level_r,
|  | const char * | file_r,
|  | const char * | func_r,
|  | int | line_r,
|  | const std::string & | buffer_r )
| inline

That's what Loglinebuf calls.

Definition at line 791 of file LogControl.cc.

## ◆ logControlValidFlag()

int & zypp::base::logger::logControlValidFlag | ( |  | ) |

Definition at line 541 of file LogControl.cc.

## ◆ getStream()

std::ostream & zypp::base::logger::getStream | ( | const char * | group_r,
|  | LogLevel | level_r,
|  | const char * | file_r,
|  | const char * | func_r,
|  | const int | line_r )

Return a log stream to write on.

The returned log stream is determined by group_r and level_r. The remaining arguments file_r, func_r and line_r are expected to denote the location in the source code that issued the message.

Note
  You won't call getStream directly, but use the ZYPP_BASE_LOGGER_MACROS.

Definition at line 769 of file LogControl.cc.

## ◆ isExcessive()

bool zypp::base::logger::isExcessive | ( |  | ) |

Definition at line 804 of file LogControl.cc.